#!/bin/sh
#
# Dan Higgins - higgins@nceas.ucsb.edu
# Aug 9, 2004
#
# Shell script file for launching Kepler# # Note that the paths are relative.  
# Assumed that this batch file is in the kepler subdirectory and ptII2.0.3 is at same level 
# as kepler.
# Also, the two dlls current in use for JNI calls (garp.dll and libexpat.dll) should be in the same
# directory as this  file.

export CLASSPATH=./lib/jar/imageio/clibwrapper_jiio.jar:./lib/jar/imageio/mlibwrapper_jai.jar:./lib/jar/imageio/jai_imageio.jar:./ptII4.0.1/lib/kepler-configs.jar:./ptII4.0.1/lib/kepler.jar:./ptII4.0.1/lib/ptolemy.jar:./ptII4.0.1/lib/diva.jar:./lib/jar/cos.jar:./lib/jar/jnet.jar:./lib/jar/httpclient.jar:./lib/jar/arbortext.jar:./dynsrc:C:\j2sdk1.4.2_01/lib/tools.jar:./lib/jar/gnu-regexp-1.0.8.jar:./ptII4.0.1:./lib/jar/configxml.jar:./lib/jar/apache/xercesImpl.jar:./lib/jar/apache/xml-apis.jar:./lib/jar/apache/xalan.jar:./lib/jar/apache/xmlParserAPIs.jar:./lib/jar/apache/servlet.jar:./lib/jar/soap/axis.jar:./lib/jar/soap/axis-ant.jar:./lib/jar/soap/jaxrpc.jar:./lib/jar/soap/saaj.jar:./lib/jar/soap/wsdl4j.jar:./lib/jar/soap/log4j-1.2.4.jar:./lib/jar/soap/commons-logging.jar:./lib/jar/soap/commons-discovery.jar:./lib/jar/dbdrivers/RmiJdbc.jar:./lib/jar/dbdrivers/db2jcc.jar:./lib/jar/wsif.jar:./lib/jar/wsif-j2c.jar:./lib/jar/mail.jar:./lib/jar/activation.jar:./lib/jar/edu.sdsc.globusproxy.jar:./lib/jar/cog-axis.jar:./lib/jar/cog-jglobus.jar:./lib/jar/cog-tomcat.jar:./lib/jar/cryptix-asn1.jar:./lib/jar/cryptix.jar:./lib/jar/cryptix32.jar:./lib/jar/jce-jdk13-117.jar:./lib/jar/jgss.jar:./lib/jar/junit.jar:./lib/jar/log4j-1.2.7.jar:./lib/jar/puretls.jar:./webservice/lib/jar/seekWebService.jar:./lib/jar/doublePolygon.jar:./lib/jar/ecogrid_client_lib/ecogrid-query-levelone-client.jar:./lib/jar/ecogrid_client_lib/log4j-core.jar:./lib/jar/ecogrid_client_lib/org.ecoinformatics.ecogrid.EcoGridQueryInterfaceLevelOne-stub.jar:./lib/jar/ecogrid_client_lib/xml-apis-1.1.jar:./lib/jar/ecogrid_client_lib/xmlsec.jar:./lib/jar/ecogrid_client_lib/ogsa.jar:./lib/jar/jargon.jar:./lib/jar/ontobrowser/ontobrowser.jar:./lib/jar/ontobrowser/wonderweblite.jar:./lib/jar/ontobrowser/nanoxml-2.1.1.jar:./lib/jar/antelope.jar      

$JAVA_HOME/bin/java -Xmx512m -Xss5m -DKEPLER=./ -DPTII=./ptII4.0.1 -DDBGPRN=0  ptolemy.vergil.VergilApplication -kepler
